/* Loader CSS */
.ech-loading {
   position: relative;
   pointer-events: none;
}

.ech-loading::after {
   position: absolute;
   content: "";
   width: 100%;
   pointer-events: none;
   height: 100%;
   background-color: rgba(0, 0, 0, 0.7);
   top: 0;
   left: 0;
}

.ech-loading::before {
   position: absolute;
   content: "";
   border-radius: 100px;
   width: 50px;
   height: 50px;
   border-top: 5px solid var(--secondary-bg) !important;
   border-left: 5px solid var(--white-text) !important;
   border-right: 5px solid var(--white-text) !important;
   border-bottom: 5px solid var(--secondary-bg) !important;
   top: 50%;
   left: 50%;
   transform: translate(-50%, -50%);
   z-index: 9;
   animation: rotate 1s linear infinite;
}

@keyframes rotate {
   0% {
      transform: rotate(0deg);
   }

   100% {
      transform: rotate(360deg);
   }
}

.blog_wrapper {
   padding: 111px 0 160px 0;
   background-color: var(--pagination-color);
}
.newsletter .heading-section .heading-title h2 {
   color: var(--primary-text-color);
}

.table_category {
   margin-top: 68px;
   margin-bottom: 77px;
}

.table_category ul {
   border-top: 1px solid rgba(0, 0, 0, 0.2);
   padding-left: 14.677vw;
   border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.table_category ul li {
   display: inline-block;
   margin-right: 34px;
}

.table_category ul li a {
   padding: 26px 0 22px 0;
   position: relative;
   display: inline-block;
   font-weight: 700;
   font-size: 14px;
   line-height: 30px;
   text-transform: uppercase;
   color: var(--black-text);
}

.table_category ul li a::after {
   position: absolute;
   content: '';
   width: 0;
   visibility: hidden;
   height: 2px;
   background-color: var(--black-text);
   left: 0;
   bottom: -1px;
   transition: all 0.5s;
}

.table_category ul li a:hover::after {
   width: 100%;
   visibility: visible;
}

.table_category ul li a:hover {
   color: var(--yellow-bg);
}

.table_category ul li.active a {
   color: var(--yellow-bg);
}

.table_category ul li.active a::after {
   visibility: visible;
   width: 100%;
   color: var(--yellow-bg);
}

.blog-listing-section {
   display: flex;
   gap: 40px;
   padding: 18px 0 32px 0;
   border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.blog-listing-section:first-of-type {
   padding-top: 0;
}

.blog-listing-section:nth-child(odd) {
   justify-content: flex-start;
}

.blog-listing-section:nth-child(even) {
   justify-content: flex-end;
   padding-top: 18px;
}

.blog-listing-section .blog-card {
   width: 100%;
   max-width: 520px;
}

.blog-card .badge {
   margin-bottom: 20px;
   padding: 5px 8px;
   color: var(--white);
   background-color: var(--black-text);
   text-transform: uppercase;
   font-size: 9px;
   font-weight: normal;
   line-height: 10px;
   letter-spacing: 0.05em;
   font-family: 'Azeret Mono';
   display: inline-block;
}

.blog-card h3 {
   margin-top: 36px;
   margin-bottom: 34px;
   display: -webkit-box;
   -webkit-line-clamp: 2;
   -webkit-box-orient: vertical;
   overflow: hidden;
   color: var(--black-text);
}
.blog-card h3 a{
   color: var(--black-text);
}

.blog-card .blog-feature-img img {
   border: 1px solid var(--black-text) !important;
   width: 100%;
   max-width: 520px;
   height: 270px;
   object-fit: cover;
   display: block;
}

.blog-card .blog-feature-img img {
   border: none;
}

.blog-card .blog-feature-desc {
   display: flex;
   align-items: start;
   justify-content: start;
   gap: 40px;
}

.blog-card .blog-feature-desc p {
   font-size: 12px;
   color: var(--black-text);
   line-height: 15px;
   font-weight: 500;
}

.blog-card .blog-feature-desc .desc {
   max-width: 240px;
   width: 100%;
}

.blog-card .blog-feature-desc .author-box {
   max-width: 84px;
   width: 100%;
   height: auto;
}

.load_more_wrap {
   margin: 50px 0;
   text-align: center;
}

/* .load_more_wrap .load-more-wrap{

   } */


@media(max-width: 1440px) {
   .blog-listing-section .blog-card {
      width: 100%;
      max-width: 36.111vw;
   }
}

@media(max-width: 575px) {
   .blog_category {
      display: none;
   }

   .blog-listing-section {
      flex-direction: column;
      border: none;
      padding: 18px 0 15px 0;
      gap: 34px;
   }

   .blog-listing-section .blog-card {
      max-width: 100%;
      border-top: 1px solid rgba(0, 0, 0, 0.2);
      padding-top: 20px;
   }

   .blog-container {
      margin-top: 71px;
   }

   .blog-card .blog-feature-img img {
      height: 170px;
  }

   .blog-card .blog-feature-desc .desc {
      max-width: 150px;
      display: -webkit-box;
      -webkit-line-clamp: 3;
      -webkit-box-orient: vertical;
      overflow: hidden;
   }

   .blog-card h3 {
      font-size: 22px;
   }

   .blog-data .btn-wrapper {
      margin-top: 34px;
   }

   .blog-data .btn-wrapper a {
      padding-right: 20px;
      font-weight: 600;
   }

   .blog_wrapper {
      padding: 36px 0 100px 0;
   }
}